VULKAN_HPP_NAMESPACE::Framebuffer Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Framebuffer ()
VULKAN_HPP_CONSTEXPR | Framebuffer (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Framebuffer (VkFramebuffer framebuffer)
Framebuffer & | operator= (std::nullptr_t)
bool | operator== (Framebuffer const &rhs) const
bool | operator!= (Framebuffer const &rhs) const
bool | operator< (Framebuffer const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkFramebuffer () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkFramebuffer | m_framebuffer

## Detailed Description

Definition at line 4083 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Framebuffer() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Framebuffer::Framebuffer | ( |  | ) |

inline

Definition at line 4086 of file vulkan.hpp.

: m_framebuffer(VK_NULL_HANDLE)
{}

## Framebuffer() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Framebuffer::Framebuffer | ( | std::nullptr_t |  | ) |

inline

Definition at line 4090 of file vulkan.hpp.

: m_framebuffer(VK_NULL_HANDLE)
{}

## Framebuffer() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Framebuffer::Framebuffer | ( | VkFramebuffer | framebuffer | ) |

inline

Definition at line 4094 of file vulkan.hpp.

: m_framebuffer( framebuffer )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Framebuffer::operator bool | ( |  | ) | const

inline explicit

Definition at line 4134 of file vulkan.hpp.

{
return m_framebuffer != VK_NULL_HANDLE;
}

References m_framebuffer, and VK_NULL_HANDLE.

## operator VkFramebuffer()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Framebuffer::operator VkFramebuffer | ( |  | ) | const

inline

Definition at line 4129 of file vulkan.hpp.

{
return m_framebuffer;
}

References m_framebuffer.

## operator!()

bool VULKAN_HPP_NAMESPACE::Framebuffer::operator! | ( |  | ) | const

inline

Definition at line 4139 of file vulkan.hpp.

{
return m_framebuffer == VK_NULL_HANDLE;
}

References m_framebuffer, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Framebuffer::operator!= | ( | Framebuffer const & | rhs | ) | const

inline

Definition at line 4117 of file vulkan.hpp.

{
return m_framebuffer != rhs.m_framebuffer;
}

References m_framebuffer.

## operator<()

bool VULKAN_HPP_NAMESPACE::Framebuffer::operator< | ( | Framebuffer const & | rhs | ) | const

inline

Definition at line 4122 of file vulkan.hpp.

{
return m_framebuffer < rhs.m_framebuffer;
}

References m_framebuffer.

## operator=()

Framebuffer& VULKAN_HPP_NAMESPACE::Framebuffer::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4106 of file vulkan.hpp.

{
m_framebuffer = VK_NULL_HANDLE;
return *this;
}

References m_framebuffer, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Framebuffer::operator== | ( | Framebuffer const & | rhs | ) | const

inline

Definition at line 4112 of file vulkan.hpp.

{
return m_framebuffer == rhs.m_framebuffer;
}

References m_framebuffer.

## Field Documentation

## m_framebuffer

VkFramebuffer VULKAN_HPP_NAMESPACE::Framebuffer::m_framebuffer

private

Definition at line 4145 of file vulkan.hpp.

Referenced by operator bool(), operator VkFramebuffer(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::Framebuffer::m_framebuffer
VkFramebuffer m_framebuffer
Definition: vulkan.hpp:4145
framebuffer
GLuint framebuffer
Definition: SDL_opengl_glext.h:1174